SCHED_YIELD(2)

NAME
sched_yield - yield the processor

SYNOPSIS
#include <sched.h>
int
sched_yield(void);

DESCRIPTION
The sched_yield() function makes the current thread yield the processor and be put at the end of its run queue without altering its priority.

RETURN VALUES

STANDARDS
The sched_yield() function conforms to p1003.1-2008.

HISTORY
The sched_yield() system call appeared in OpenBSD 4.2.

CAVEATS
The effect of sched_yield() is only precisely defined for real-time scheduling classes, none of which are currently supported by OpenBSD.